Imported Upstream version 1.8.1
[platform/upstream/harfbuzz.git] / test / subset / data / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/basics.tests tests/full-font.tests tests/japanese.tests \
93         $(am__EXEEXT_1)
94 XFAIL_TESTS = $(am__EXEEXT_1)
95 subdir = test/subset/data
96 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
98         $(top_srcdir)/m4/ax_code_coverage.m4 \
99         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
100         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
101         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
102         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
103         $(top_srcdir)/configure.ac
104 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
105         $(ACLOCAL_M4)
106 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
107 mkinstalldirs = $(install_sh) -d
108 CONFIG_HEADER = $(top_builddir)/config.h
109 CONFIG_CLEAN_FILES =
110 CONFIG_CLEAN_VPATH_FILES =
111 AM_V_P = $(am__v_P_@AM_V@)
112 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
113 am__v_P_0 = false
114 am__v_P_1 = :
115 AM_V_GEN = $(am__v_GEN_@AM_V@)
116 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
117 am__v_GEN_0 = @echo "  GEN     " $@;
118 am__v_GEN_1 = 
119 AM_V_at = $(am__v_at_@AM_V@)
120 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
121 am__v_at_0 = @
122 am__v_at_1 = 
123 SOURCES =
124 DIST_SOURCES =
125 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
126         ctags-recursive dvi-recursive html-recursive info-recursive \
127         install-data-recursive install-dvi-recursive \
128         install-exec-recursive install-html-recursive \
129         install-info-recursive install-pdf-recursive \
130         install-ps-recursive install-recursive installcheck-recursive \
131         installdirs-recursive pdf-recursive ps-recursive \
132         tags-recursive uninstall-recursive
133 am__can_run_installinfo = \
134   case $$AM_UPDATE_INFO_DIR in \
135     n|no|NO) false;; \
136     *) (install-info --version) >/dev/null 2>&1;; \
137   esac
138 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
139   distclean-recursive maintainer-clean-recursive
140 am__recursive_targets = \
141   $(RECURSIVE_TARGETS) \
142   $(RECURSIVE_CLEAN_TARGETS) \
143   $(am__extra_recursive_targets)
144 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
145         check recheck distdir
146 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
147 # Read a list of newline-separated strings from the standard input,
148 # and print each of them once, without duplicates.  Input order is
149 # *not* preserved.
150 am__uniquify_input = $(AWK) '\
151   BEGIN { nonempty = 0; } \
152   { items[$$0] = 1; nonempty = 1; } \
153   END { if (nonempty) { for (i in items) print i; }; } \
154 '
155 # Make sure the list of sources is unique.  This is necessary because,
156 # e.g., the same source file might be shared among _SOURCES variables
157 # for different programs/libraries.
158 am__define_uniq_tagged_files = \
159   list='$(am__tagged_files)'; \
160   unique=`for i in $$list; do \
161     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
162   done | $(am__uniquify_input)`
163 ETAGS = etags
164 CTAGS = ctags
165 am__tty_colors_dummy = \
166   mgn= red= grn= lgn= blu= brg= std=; \
167   am__color_tests=no
168 am__tty_colors = { \
169   $(am__tty_colors_dummy); \
170   if test "X$(AM_COLOR_TESTS)" = Xno; then \
171     am__color_tests=no; \
172   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
173     am__color_tests=yes; \
174   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
175     am__color_tests=yes; \
176   fi; \
177   if test $$am__color_tests = yes; then \
178     red='\e[0;31m'; \
179     grn='\e[0;32m'; \
180     lgn='\e[1;32m'; \
181     blu='\e[1;34m'; \
182     mgn='\e[0;35m'; \
183     brg='\e[1m'; \
184     std='\e[m'; \
185   fi; \
186 }
187 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
188 am__vpath_adj = case $$p in \
189     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
190     *) f=$$p;; \
191   esac;
192 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
193 am__install_max = 40
194 am__nobase_strip_setup = \
195   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
196 am__nobase_strip = \
197   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
198 am__nobase_list = $(am__nobase_strip_setup); \
199   for p in $$list; do echo "$$p $$p"; done | \
200   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
201   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
202     if (++n[$$2] == $(am__install_max)) \
203       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
204     END { for (dir in files) print dir, files[dir] }'
205 am__base_list = \
206   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
207   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
208 am__uninstall_files_from_dir = { \
209   test -z "$$files" \
210     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
211     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
212          $(am__cd) "$$dir" && rm -f $$files; }; \
213   }
214 am__recheck_rx = ^[     ]*:recheck:[    ]*
215 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
216 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
217 # A command that, given a newline-separated list of test names on the
218 # standard input, print the name of the tests that are to be re-run
219 # upon "make recheck".
220 am__list_recheck_tests = $(AWK) '{ \
221   recheck = 1; \
222   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223     { \
224       if (rc < 0) \
225         { \
226           if ((getline line2 < ($$0 ".log")) < 0) \
227             recheck = 0; \
228           break; \
229         } \
230       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
231         { \
232           recheck = 0; \
233           break; \
234         } \
235       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
236         { \
237           break; \
238         } \
239     }; \
240   if (recheck) \
241     print $$0; \
242   close ($$0 ".trs"); \
243   close ($$0 ".log"); \
244 }'
245 # A command that, given a newline-separated list of test names on the
246 # standard input, create the global log from their .trs and .log files.
247 am__create_global_log = $(AWK) ' \
248 function fatal(msg) \
249 { \
250   print "fatal: making $@: " msg | "cat >&2"; \
251   exit 1; \
252 } \
253 function rst_section(header) \
254 { \
255   print header; \
256   len = length(header); \
257   for (i = 1; i <= len; i = i + 1) \
258     printf "="; \
259   printf "\n\n"; \
260 } \
261 { \
262   copy_in_global_log = 1; \
263   global_test_result = "RUN"; \
264   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
265     { \
266       if (rc < 0) \
267          fatal("failed to read from " $$0 ".trs"); \
268       if (line ~ /$(am__global_test_result_rx)/) \
269         { \
270           sub("$(am__global_test_result_rx)", "", line); \
271           sub("[        ]*$$", "", line); \
272           global_test_result = line; \
273         } \
274       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
275         copy_in_global_log = 0; \
276     }; \
277   if (copy_in_global_log) \
278     { \
279       rst_section(global_test_result ": " $$0); \
280       while ((rc = (getline line < ($$0 ".log"))) != 0) \
281       { \
282         if (rc < 0) \
283           fatal("failed to read from " $$0 ".log"); \
284         print line; \
285       }; \
286       printf "\n"; \
287     }; \
288   close ($$0 ".trs"); \
289   close ($$0 ".log"); \
290 }'
291 # Restructured Text title.
292 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
293 # Solaris 10 'make', and several other traditional 'make' implementations,
294 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
295 # by disabling -e (using the XSI extension "set +e") if it's set.
296 am__sh_e_setup = case $$- in *e*) set +e;; esac
297 # Default flags passed to test drivers.
298 am__common_driver_flags = \
299   --color-tests "$$am__color_tests" \
300   --enable-hard-errors "$$am__enable_hard_errors" \
301   --expect-failure "$$am__expect_failure"
302 # To be inserted before the command running the test.  Creates the
303 # directory for the log if needed.  Stores in $dir the directory
304 # containing $f, in $tst the test, in $log the log.  Executes the
305 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
306 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
307 # will run the test scripts (or their associated LOG_COMPILER, if
308 # thy have one).
309 am__check_pre = \
310 $(am__sh_e_setup);                                      \
311 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
312 $(am__tty_colors);                                      \
313 srcdir=$(srcdir); export srcdir;                        \
314 case "$@" in                                            \
315   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
316     *) am__odir=.;;                                     \
317 esac;                                                   \
318 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
319   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
320 if test -f "./$$f"; then dir=./;                        \
321 elif test -f "$$f"; then dir=;                          \
322 else dir="$(srcdir)/"; fi;                              \
323 tst=$$dir$$f; log='$@';                                 \
324 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
325   am__enable_hard_errors=no;                            \
326 else                                                    \
327   am__enable_hard_errors=yes;                           \
328 fi;                                                     \
329 case " $(XFAIL_TESTS) " in                              \
330   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
331     am__expect_failure=yes;;                            \
332   *)                                                    \
333     am__expect_failure=no;;                             \
334 esac;                                                   \
335 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
336 # A shell command to get the names of the tests scripts with any registered
337 # extension removed (i.e., equivalently, the names of the test logs, with
338 # the '.log' extension removed).  The result is saved in the shell variable
339 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
340 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
341 # since that might cause problem with VPATH rewrites for suffix-less tests.
342 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
343 am__set_TESTS_bases = \
344   bases='$(TEST_LOGS)'; \
345   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
346   bases=`echo $$bases`
347 RECHECK_LOGS = $(TEST_LOGS)
348 am__EXEEXT_1 =
349 TEST_SUITE_LOG = test-suite.log
350 am__test_logs1 = $(TESTS:=.log)
351 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
352 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
353 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
354 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
355         $(TESTS_LOG_FLAGS)
356 am__set_b = \
357   case '$@' in \
358     */*) \
359       case '$*' in \
360         */*) b='$*';; \
361           *) b=`echo '$@' | sed 's/\.log$$//'`; \
362        esac;; \
363     *) \
364       b='$*';; \
365   esac
366 DIST_SUBDIRS = $(SUBDIRS)
367 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
368         $(top_srcdir)/test-driver
369 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
370 am__relativize = \
371   dir0=`pwd`; \
372   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
373   sed_rest='s,^[^/]*/*,,'; \
374   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
375   sed_butlast='s,/*[^/]*$$,,'; \
376   while test -n "$$dir1"; do \
377     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
378     if test "$$first" != "."; then \
379       if test "$$first" = ".."; then \
380         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
381         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
382       else \
383         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
384         if test "$$first2" = "$$first"; then \
385           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
386         else \
387           dir2="../$$dir2"; \
388         fi; \
389         dir0="$$dir0"/"$$first"; \
390       fi; \
391     fi; \
392     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
393   done; \
394   reldir="$$dir2"
395 ACLOCAL = @ACLOCAL@
396 AMTAR = @AMTAR@
397 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
398 AR = @AR@
399 AUTOCONF = @AUTOCONF@
400 AUTOHEADER = @AUTOHEADER@
401 AUTOMAKE = @AUTOMAKE@
402 AWK = @AWK@
403 CAIRO_CFLAGS = @CAIRO_CFLAGS@
404 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
405 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
406 CAIRO_LIBS = @CAIRO_LIBS@
407 CC = @CC@
408 CCDEPMODE = @CCDEPMODE@
409 CFLAGS = @CFLAGS@
410 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
411 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
412 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
413 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
414 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
415 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
416 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
417 CORETEXT_LIBS = @CORETEXT_LIBS@
418 CPP = @CPP@
419 CPPFLAGS = @CPPFLAGS@
420 CXX = @CXX@
421 CXXCPP = @CXXCPP@
422 CXXDEPMODE = @CXXDEPMODE@
423 CXXFLAGS = @CXXFLAGS@
424 CYGPATH_W = @CYGPATH_W@
425 DEFS = @DEFS@
426 DEPDIR = @DEPDIR@
427 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
428 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
429 DLLTOOL = @DLLTOOL@
430 DSYMUTIL = @DSYMUTIL@
431 DUMPBIN = @DUMPBIN@
432 ECHO_C = @ECHO_C@
433 ECHO_N = @ECHO_N@
434 ECHO_T = @ECHO_T@
435 EGREP = @EGREP@
436 EXEEXT = @EXEEXT@
437 FGREP = @FGREP@
438 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
439 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
440 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
441 FREETYPE_DEPS = @FREETYPE_DEPS@
442 FREETYPE_LIBS = @FREETYPE_LIBS@
443 GCOV = @GCOV@
444 GENHTML = @GENHTML@
445 GIT = @GIT@
446 GLIB_CFLAGS = @GLIB_CFLAGS@
447 GLIB_DEPS = @GLIB_DEPS@
448 GLIB_LIBS = @GLIB_LIBS@
449 GLIB_MKENUMS = @GLIB_MKENUMS@
450 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
451 GOBJECT_LIBS = @GOBJECT_LIBS@
452 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
453 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
454 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
455 GREP = @GREP@
456 GTKDOC_CHECK = @GTKDOC_CHECK@
457 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
458 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
459 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
460 GTKDOC_MKPDF = @GTKDOC_MKPDF@
461 GTKDOC_REBASE = @GTKDOC_REBASE@
462 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
463 HB_VERSION = @HB_VERSION@
464 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
465 HB_VERSION_MICRO = @HB_VERSION_MICRO@
466 HB_VERSION_MINOR = @HB_VERSION_MINOR@
467 HTML_DIR = @HTML_DIR@
468 ICU_CFLAGS = @ICU_CFLAGS@
469 ICU_CONFIG = @ICU_CONFIG@
470 ICU_LIBS = @ICU_LIBS@
471 INSTALL = @INSTALL@
472 INSTALL_DATA = @INSTALL_DATA@
473 INSTALL_PROGRAM = @INSTALL_PROGRAM@
474 INSTALL_SCRIPT = @INSTALL_SCRIPT@
475 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
476 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
477 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
478 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
479 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
480 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
481 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
482 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
483 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
484 LCOV = @LCOV@
485 LD = @LD@
486 LDFLAGS = @LDFLAGS@
487 LIBOBJS = @LIBOBJS@
488 LIBS = @LIBS@
489 LIBTOOL = @LIBTOOL@
490 LIPO = @LIPO@
491 LN_S = @LN_S@
492 LTLIBOBJS = @LTLIBOBJS@
493 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
494 MAKEINFO = @MAKEINFO@
495 MANIFEST_TOOL = @MANIFEST_TOOL@
496 MKDIR_P = @MKDIR_P@
497 NM = @NM@
498 NMEDIT = @NMEDIT@
499 OBJDUMP = @OBJDUMP@
500 OBJEXT = @OBJEXT@
501 OTOOL = @OTOOL@
502 OTOOL64 = @OTOOL64@
503 PACKAGE = @PACKAGE@
504 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
505 PACKAGE_NAME = @PACKAGE_NAME@
506 PACKAGE_STRING = @PACKAGE_STRING@
507 PACKAGE_TARNAME = @PACKAGE_TARNAME@
508 PACKAGE_URL = @PACKAGE_URL@
509 PACKAGE_VERSION = @PACKAGE_VERSION@
510 PATH_SEPARATOR = @PATH_SEPARATOR@
511 PKG_CONFIG = @PKG_CONFIG@
512 PTHREAD_CC = @PTHREAD_CC@
513 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
514 PTHREAD_LIBS = @PTHREAD_LIBS@
515 RAGEL = @RAGEL@
516 RANLIB = @RANLIB@
517 SED = @SED@
518 SET_MAKE = @SET_MAKE@
519 SHELL = @SHELL@
520 STRIP = @STRIP@
521 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
522 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
523 VERSION = @VERSION@
524 abs_builddir = @abs_builddir@
525 abs_srcdir = @abs_srcdir@
526 abs_top_builddir = @abs_top_builddir@
527 abs_top_srcdir = @abs_top_srcdir@
528 ac_ct_AR = @ac_ct_AR@
529 ac_ct_CC = @ac_ct_CC@
530 ac_ct_CXX = @ac_ct_CXX@
531 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
532 am__include = @am__include@
533 am__leading_dot = @am__leading_dot@
534 am__quote = @am__quote@
535 am__tar = @am__tar@
536 am__untar = @am__untar@
537 ax_pthread_config = @ax_pthread_config@
538 bindir = @bindir@
539 build = @build@
540 build_alias = @build_alias@
541 build_cpu = @build_cpu@
542 build_os = @build_os@
543 build_vendor = @build_vendor@
544 builddir = @builddir@
545 datadir = @datadir@
546 datarootdir = @datarootdir@
547 docdir = @docdir@
548 dvidir = @dvidir@
549 exec_prefix = @exec_prefix@
550 have_gobject = @have_gobject@
551 host = @host@
552 host_alias = @host_alias@
553 host_cpu = @host_cpu@
554 host_os = @host_os@
555 host_vendor = @host_vendor@
556 htmldir = @htmldir@
557 includedir = @includedir@
558 infodir = @infodir@
559 install_sh = @install_sh@
560 libdir = @libdir@
561 libexecdir = @libexecdir@
562 localedir = @localedir@
563 localstatedir = @localstatedir@
564 mandir = @mandir@
565 mkdir_p = @mkdir_p@
566 oldincludedir = @oldincludedir@
567 pdfdir = @pdfdir@
568 prefix = @prefix@
569 program_transform_name = @program_transform_name@
570 psdir = @psdir@
571 runstatedir = @runstatedir@
572 sbindir = @sbindir@
573 sharedstatedir = @sharedstatedir@
574 srcdir = @srcdir@
575 sysconfdir = @sysconfdir@
576 target_alias = @target_alias@
577 top_build_prefix = @top_build_prefix@
578 top_builddir = @top_builddir@
579 top_srcdir = @top_srcdir@
580 NULL = 
581 EXTRA_DIST = \
582         $(TESTS) \
583         expected/basics \
584         expected/full-font \
585         expected/japanese \
586         fonts \
587         profiles \
588         $(NULL)
589
590 CLEANFILES = 
591 SUBDIRS = 
592 TEST_EXTENSIONS = .tests
593 TESTS_LOG_COMPILER = $(srcdir)/../run-tests.py $(top_builddir)/util/hb-subset$(EXEEXT)
594 DISABLED_TESTS = \
595         $(NULL)
596
597 all: all-recursive
598
599 .SUFFIXES:
600 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
601 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
602         @for dep in $?; do \
603           case '$(am__configure_deps)' in \
604             *$$dep*) \
605               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
606                 && { if test -f $@; then exit 0; else break; fi; }; \
607               exit 1;; \
608           esac; \
609         done; \
610         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/subset/data/Makefile'; \
611         $(am__cd) $(top_srcdir) && \
612           $(AUTOMAKE) --gnits test/subset/data/Makefile
613 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
614         @case '$?' in \
615           *config.status*) \
616             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
617           *) \
618             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
619             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
620         esac;
621 $(srcdir)/Makefile.sources $(am__empty):
622
623 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
624         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
625
626 $(top_srcdir)/configure:  $(am__configure_deps)
627         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
628 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
629         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
630 $(am__aclocal_m4_deps):
631
632 mostlyclean-libtool:
633         -rm -f *.lo
634
635 clean-libtool:
636         -rm -rf .libs _libs
637
638 # This directory's subdirectories are mostly independent; you can cd
639 # into them and run 'make' without going through this Makefile.
640 # To change the values of 'make' variables: instead of editing Makefiles,
641 # (1) if the variable is set in 'config.status', edit 'config.status'
642 #     (which will cause the Makefiles to be regenerated when you run 'make');
643 # (2) otherwise, pass the desired values on the 'make' command line.
644 $(am__recursive_targets):
645         @fail=; \
646         if $(am__make_keepgoing); then \
647           failcom='fail=yes'; \
648         else \
649           failcom='exit 1'; \
650         fi; \
651         dot_seen=no; \
652         target=`echo $@ | sed s/-recursive//`; \
653         case "$@" in \
654           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
655           *) list='$(SUBDIRS)' ;; \
656         esac; \
657         for subdir in $$list; do \
658           echo "Making $$target in $$subdir"; \
659           if test "$$subdir" = "."; then \
660             dot_seen=yes; \
661             local_target="$$target-am"; \
662           else \
663             local_target="$$target"; \
664           fi; \
665           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
666           || eval $$failcom; \
667         done; \
668         if test "$$dot_seen" = "no"; then \
669           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
670         fi; test -z "$$fail"
671
672 ID: $(am__tagged_files)
673         $(am__define_uniq_tagged_files); mkid -fID $$unique
674 tags: tags-recursive
675 TAGS: tags
676
677 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
678         set x; \
679         here=`pwd`; \
680         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
681           include_option=--etags-include; \
682           empty_fix=.; \
683         else \
684           include_option=--include; \
685           empty_fix=; \
686         fi; \
687         list='$(SUBDIRS)'; for subdir in $$list; do \
688           if test "$$subdir" = .; then :; else \
689             test ! -f $$subdir/TAGS || \
690               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
691           fi; \
692         done; \
693         $(am__define_uniq_tagged_files); \
694         shift; \
695         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
696           test -n "$$unique" || unique=$$empty_fix; \
697           if test $$# -gt 0; then \
698             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
699               "$$@" $$unique; \
700           else \
701             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
702               $$unique; \
703           fi; \
704         fi
705 ctags: ctags-recursive
706
707 CTAGS: ctags
708 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
709         $(am__define_uniq_tagged_files); \
710         test -z "$(CTAGS_ARGS)$$unique" \
711           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
712              $$unique
713
714 GTAGS:
715         here=`$(am__cd) $(top_builddir) && pwd` \
716           && $(am__cd) $(top_srcdir) \
717           && gtags -i $(GTAGS_ARGS) "$$here"
718 cscopelist: cscopelist-recursive
719
720 cscopelist-am: $(am__tagged_files)
721         list='$(am__tagged_files)'; \
722         case "$(srcdir)" in \
723           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
724           *) sdir=$(subdir)/$(srcdir) ;; \
725         esac; \
726         for i in $$list; do \
727           if test -f "$$i"; then \
728             echo "$(subdir)/$$i"; \
729           else \
730             echo "$$sdir/$$i"; \
731           fi; \
732         done >> $(top_builddir)/cscope.files
733
734 distclean-tags:
735         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
736
737 # Recover from deleted '.trs' file; this should ensure that
738 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
739 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
740 # to avoid problems with "make -n".
741 .log.trs:
742         rm -f $< $@
743         $(MAKE) $(AM_MAKEFLAGS) $<
744
745 # Leading 'am--fnord' is there to ensure the list of targets does not
746 # expand to empty, as could happen e.g. with make check TESTS=''.
747 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
748 am--force-recheck:
749         @:
750
751 $(TEST_SUITE_LOG): $(TEST_LOGS)
752         @$(am__set_TESTS_bases); \
753         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
754         redo_bases=`for i in $$bases; do \
755                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
756                     done`; \
757         if test -n "$$redo_bases"; then \
758           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
759           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
760           if $(am__make_dryrun); then :; else \
761             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
762           fi; \
763         fi; \
764         if test -n "$$am__remaking_logs"; then \
765           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
766                "recursion detected" >&2; \
767         elif test -n "$$redo_logs"; then \
768           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
769         fi; \
770         if $(am__make_dryrun); then :; else \
771           st=0;  \
772           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
773           for i in $$redo_bases; do \
774             test -f $$i.trs && test -r $$i.trs \
775               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
776             test -f $$i.log && test -r $$i.log \
777               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
778           done; \
779           test $$st -eq 0 || exit 1; \
780         fi
781         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
782         ws='[   ]'; \
783         results=`for b in $$bases; do echo $$b.trs; done`; \
784         test -n "$$results" || results=/dev/null; \
785         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
786         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
787         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
788         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
789         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
790         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
791         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
792         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
793           success=true; \
794         else \
795           success=false; \
796         fi; \
797         br='==================='; br=$$br$$br$$br$$br; \
798         result_count () \
799         { \
800             if test x"$$1" = x"--maybe-color"; then \
801               maybe_colorize=yes; \
802             elif test x"$$1" = x"--no-color"; then \
803               maybe_colorize=no; \
804             else \
805               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
806             fi; \
807             shift; \
808             desc=$$1 count=$$2; \
809             if test $$maybe_colorize = yes && test $$count -gt 0; then \
810               color_start=$$3 color_end=$$std; \
811             else \
812               color_start= color_end=; \
813             fi; \
814             echo "$${color_start}# $$desc $$count$${color_end}"; \
815         }; \
816         create_testsuite_report () \
817         { \
818           result_count $$1 "TOTAL:" $$all   "$$brg"; \
819           result_count $$1 "PASS: " $$pass  "$$grn"; \
820           result_count $$1 "SKIP: " $$skip  "$$blu"; \
821           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
822           result_count $$1 "FAIL: " $$fail  "$$red"; \
823           result_count $$1 "XPASS:" $$xpass "$$red"; \
824           result_count $$1 "ERROR:" $$error "$$mgn"; \
825         }; \
826         {                                                               \
827           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
828             $(am__rst_title);                                           \
829           create_testsuite_report --no-color;                           \
830           echo;                                                         \
831           echo ".. contents:: :depth: 2";                               \
832           echo;                                                         \
833           for b in $$bases; do echo $$b; done                           \
834             | $(am__create_global_log);                                 \
835         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
836         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
837         if $$success; then                                              \
838           col="$$grn";                                                  \
839          else                                                           \
840           col="$$red";                                                  \
841           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
842         fi;                                                             \
843         echo "$${col}$$br$${std}";                                      \
844         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
845         echo "$${col}$$br$${std}";                                      \
846         create_testsuite_report --maybe-color;                          \
847         echo "$$col$$br$$std";                                          \
848         if $$success; then :; else                                      \
849           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
850           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
851             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
852           fi;                                                           \
853           echo "$$col$$br$$std";                                        \
854         fi;                                                             \
855         $$success || exit 1
856
857 check-TESTS:
858         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
859         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
860         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
861         @set +e; $(am__set_TESTS_bases); \
862         log_list=`for i in $$bases; do echo $$i.log; done`; \
863         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
864         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
865         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
866         exit $$?;
867 recheck: all 
868         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
869         @set +e; $(am__set_TESTS_bases); \
870         bases=`for i in $$bases; do echo $$i; done \
871                  | $(am__list_recheck_tests)` || exit 1; \
872         log_list=`for i in $$bases; do echo $$i.log; done`; \
873         log_list=`echo $$log_list`; \
874         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
875                 am__force_recheck=am--force-recheck \
876                 TEST_LOGS="$$log_list"; \
877         exit $$?
878 .tests.log:
879         @p='$<'; \
880         $(am__set_b); \
881         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
882         --log-file $$b.log --trs-file $$b.trs \
883         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
884         "$$tst" $(AM_TESTS_FD_REDIRECT)
885 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
886 @am__EXEEXT_TRUE@       @p='$<'; \
887 @am__EXEEXT_TRUE@       $(am__set_b); \
888 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
889 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
890 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
891 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
892
893 distdir: $(DISTFILES)
894         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
895         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
896         list='$(DISTFILES)'; \
897           dist_files=`for file in $$list; do echo $$file; done | \
898           sed -e "s|^$$srcdirstrip/||;t" \
899               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
900         case $$dist_files in \
901           */*) $(MKDIR_P) `echo "$$dist_files" | \
902                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
903                            sort -u` ;; \
904         esac; \
905         for file in $$dist_files; do \
906           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
907           if test -d $$d/$$file; then \
908             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
909             if test -d "$(distdir)/$$file"; then \
910               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
911             fi; \
912             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
913               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
914               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
915             fi; \
916             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
917           else \
918             test -f "$(distdir)/$$file" \
919             || cp -p $$d/$$file "$(distdir)/$$file" \
920             || exit 1; \
921           fi; \
922         done
923         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
924           if test "$$subdir" = .; then :; else \
925             $(am__make_dryrun) \
926               || test -d "$(distdir)/$$subdir" \
927               || $(MKDIR_P) "$(distdir)/$$subdir" \
928               || exit 1; \
929             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
930             $(am__relativize); \
931             new_distdir=$$reldir; \
932             dir1=$$subdir; dir2="$(top_distdir)"; \
933             $(am__relativize); \
934             new_top_distdir=$$reldir; \
935             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
936             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
937             ($(am__cd) $$subdir && \
938               $(MAKE) $(AM_MAKEFLAGS) \
939                 top_distdir="$$new_top_distdir" \
940                 distdir="$$new_distdir" \
941                 am__remove_distdir=: \
942                 am__skip_length_check=: \
943                 am__skip_mode_fix=: \
944                 distdir) \
945               || exit 1; \
946           fi; \
947         done
948 check-am: all-am
949         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
950 check: check-recursive
951 all-am: Makefile
952 installdirs: installdirs-recursive
953 installdirs-am:
954 install: install-recursive
955 install-exec: install-exec-recursive
956 install-data: install-data-recursive
957 uninstall: uninstall-recursive
958
959 install-am: all-am
960         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
961
962 installcheck: installcheck-recursive
963 install-strip:
964         if test -z '$(STRIP)'; then \
965           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
966             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
967               install; \
968         else \
969           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
970             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
971             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
972         fi
973 mostlyclean-generic:
974         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
975         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
976         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
977
978 clean-generic:
979         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
980
981 distclean-generic:
982         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
983         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
984
985 maintainer-clean-generic:
986         @echo "This command is intended for maintainers to use"
987         @echo "it deletes files that may require special tools to rebuild."
988 clean: clean-recursive
989
990 clean-am: clean-generic clean-libtool mostlyclean-am
991
992 distclean: distclean-recursive
993         -rm -f Makefile
994 distclean-am: clean-am distclean-generic distclean-tags
995
996 dvi: dvi-recursive
997
998 dvi-am:
999
1000 html: html-recursive
1001
1002 html-am:
1003
1004 info: info-recursive
1005
1006 info-am:
1007
1008 install-data-am:
1009
1010 install-dvi: install-dvi-recursive
1011
1012 install-dvi-am:
1013
1014 install-exec-am:
1015
1016 install-html: install-html-recursive
1017
1018 install-html-am:
1019
1020 install-info: install-info-recursive
1021
1022 install-info-am:
1023
1024 install-man:
1025
1026 install-pdf: install-pdf-recursive
1027
1028 install-pdf-am:
1029
1030 install-ps: install-ps-recursive
1031
1032 install-ps-am:
1033
1034 installcheck-am:
1035
1036 maintainer-clean: maintainer-clean-recursive
1037         -rm -f Makefile
1038 maintainer-clean-am: distclean-am maintainer-clean-generic
1039
1040 mostlyclean: mostlyclean-recursive
1041
1042 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1043
1044 pdf: pdf-recursive
1045
1046 pdf-am:
1047
1048 ps: ps-recursive
1049
1050 ps-am:
1051
1052 uninstall-am:
1053
1054 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1055
1056 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1057         check-TESTS check-am clean clean-generic clean-libtool \
1058         cscopelist-am ctags ctags-am distclean distclean-generic \
1059         distclean-libtool distclean-tags distdir dvi dvi-am html \
1060         html-am info info-am install install-am install-data \
1061         install-data-am install-dvi install-dvi-am install-exec \
1062         install-exec-am install-html install-html-am install-info \
1063         install-info-am install-man install-pdf install-pdf-am \
1064         install-ps install-ps-am install-strip installcheck \
1065         installcheck-am installdirs installdirs-am maintainer-clean \
1066         maintainer-clean-generic mostlyclean mostlyclean-generic \
1067         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1068         uninstall uninstall-am
1069
1070 .PRECIOUS: Makefile
1071
1072
1073 # Convenience targets:
1074 lib:
1075         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
1076
1077 -include $(top_srcdir)/git.mk
1078
1079 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1080 # Otherwise a system limit (for SysV at least) may be exceeded.
1081 .NOEXPORT: